com.google.cloud.dataflow.examples

## Interface WordCount.WordCountOptions

All Superinterfaces:
  HasDisplayData, PipelineOptions

All Known Subinterfaces:
  DebuggingWordCount.WordCountOptions, WindowedWordCount.Options

Enclosing class:
  WordCount

    public static interface WordCount.WordCountOptions
    extends PipelineOptions

Options supported by `WordCount`.

Concept #4: Defining your own configuration options. Here, you can add your own arguments to be processed by the command-line parser, and specify default values for them. You can then access the options values in your pipeline code.

Inherits standard configuration options.

### Nested Class Summary

Nested Classes
`static class` `WordCount.WordCountOptions.OutputFactory` Returns "gs://${YOUR_STAGING_DIRECTORY}/counts.txt" as the default destination.

### Nested classes/interfaces inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`PipelineOptions.CheckEnabled`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getInputFile()`
`String` `getOutput()`
`void` `setInputFile(String value)`
`void` `setOutput(String value)`

### Methods inherited from interface com.google.cloud.dataflow.sdk.options.PipelineOptions

`as, cloneAs, getRunner, getStableUniqueNames, getTempLocation, setRunner, setStableUniqueNames, setTempLocation`

### Methods inherited from interface com.google.cloud.dataflow.sdk.transforms.display.HasDisplayData

`populateDisplayData`

### Method Detail

#### getInputFile

    @Default.String(value="gs://dataflow-samples/shakespeare/kinglear.txt")
    String getInputFile()

#### setInputFile

    void setInputFile(String value)

#### getOutput

    @Default.InstanceFactory(value=WordCount.WordCountOptions.OutputFactory.class)
    String getOutput()

#### setOutput

    void setOutput(String value)